## pilot-link 0.12.4

=== bindings/Java/Makefile ===
# Makefile.in generated by automake 1.10.2 from Makefile.am.
# bindings/Java/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/pilot-link
pkglibdir = $(libdir)/pilot-link
pkgincludedir = $(includedir)/pilot-link
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = bindings/Java
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in TODO
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/bluez.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/python.m4 \
	$(top_srcdir)/m4/socklen.m4 $(top_srcdir)/m4/tcl.m4 \
	$(top_srcdir)/m4/threads.m4 \
	$(top_srcdir)/m4/vl_lib_readline.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/include/pi-md5.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /Source/cvs/palm/pilot-link/HEAD/missing --run aclocal-1.10
AMTAR = ${SHELL} /Source/cvs/palm/pilot-link/HEAD/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /Source/cvs/palm/pilot-link/HEAD/missing --run autoconf
AUTOHEADER = ${SHELL} /Source/cvs/palm/pilot-link/HEAD/missing --run autoheader
AUTOMAKE = ${SHELL} /Source/cvs/palm/pilot-link/HEAD/missing --run automake-1.10
AWK = mawk
BLUEZ_CFLAGS =  
BLUEZ_LIBS = -lbluetooth  
CAT_ENTRY_END = 
CAT_ENTRY_START = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g2 -Wall
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOCBOOK_ROOT = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
FGREP = /bin/grep -F
GREP = /bin/grep
ICONV_CFLAGS = 
ICONV_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JAR = 
JAVA = 
JAVABASE = 
JAVAC = 
JAVA_VERSION = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /Source/cvs/palm/pilot-link/HEAD/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = pilot-link
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PERL = 
PIC_LIBS = 
PILOT_LINK_MAJOR = 12
PILOT_LINK_MINOR = 4
PILOT_LINK_PATCH = 
PILOT_LINK_VERS = 0
PISOCK_AGE = 0
PISOCK_CURRENT = 9
PISOCK_REVISION = 2
PISYNC_AGE = 0
PISYNC_CURRENT = 1
PISYNC_REVISION = 3
PKG_CONFIG = /usr/bin/pkg-config
PNG_CFLAGS = 
PNG_LIBS = 
POPT_INCLUDES = 
POPT_LIBS = 
PTHREAD_CC = 
PTHREAD_CFLAGS = 
PTHREAD_LIBS = 
PYTHON = 
PYTHON_CFLAGS = 
PYTHON_H = 
PYTHON_LIBS = 
PYTHON_VERSION = 
RANLIB = ranlib
RL_LIBS = 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
TCLSH_PROG = 
TCL_BIN_DIR = 
TCL_DEFS = 
TCL_EXTRA_CFLAGS = 
TCL_INCLUDES = 
TCL_LD_FLAGS = 
TCL_LIBS = 
TCL_LIB_FILE = 
TCL_LIB_FLAG = 
TCL_LIB_SPEC = 
TCL_SHLIB_LD_LIBS = 
TCL_SRC_DIR = 
TCL_STUB_LIB_FILE = 
TCL_STUB_LIB_FLAG = 
TCL_STUB_LIB_SPEC = 
TCL_VERSION = 
VERSION = 0.12.4
WISH_PROG = 
XML_CATALOG = 
XSLTPROC = 
XSLTPROC_FLAGS = --nonet
YACC = yacc
YFLAGS = 
abs_builddir = /Source/cvs/palm/pilot-link/HEAD/bindings/Java
abs_srcdir = /Source/cvs/palm/pilot-link/HEAD/bindings/Java
abs_top_builddir = /Source/cvs/palm/pilot-link/HEAD
abs_top_srcdir = /Source/cvs/palm/pilot-link/HEAD
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
ac_ct_F77 = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /Source/cvs/palm/pilot-link/HEAD/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
usb_libs = 
PORT = /dev/pilot
INCLUDES = \
	-I../../include			\
	-I $(top_srcdir)/include 	\
	-I $(top_builddir)/include	\
	-I $(JAVABASE)/include		\
	-I $(JAVABASE)/include/linux

java_files = \
	$(srcdir)/MidiMgr.java	\
	$(srcdir)/TestTodos.java	\
	$(srcdir)/org/gnu/pilotlink/AddressAppInfo.java	\
	$(srcdir)/org/gnu/pilotlink/AppInfo.java	\
	$(srcdir)/org/gnu/pilotlink/DBInfo.java	\
	$(srcdir)/org/gnu/pilotlink/DatabaseExistsException.java	\
	$(srcdir)/org/gnu/pilotlink/DatabaseNotFoundException.java	\
	$(srcdir)/org/gnu/pilotlink/DatebookAppInfo.java	\
	$(srcdir)/org/gnu/pilotlink/FTB3CostCatRecord.java	\
	$(srcdir)/org/gnu/pilotlink/MemoRecord.java	\
	$(srcdir)/org/gnu/pilotlink/PilotLink.java	\
	$(srcdir)/org/gnu/pilotlink/PilotLinkException.java	\
	$(srcdir)/org/gnu/pilotlink/RawAppInfo.java	\
	$(srcdir)/org/gnu/pilotlink/RawRecord.java	\
	$(srcdir)/org/gnu/pilotlink/SysInfo.java	\
	$(srcdir)/org/gnu/pilotlink/User.java	\
	$(srcdir)/org/gnu/pilotlink/Version.java	\
	$(srcdir)/org/gnu/pilotlink/AddressRecord.java	\
	$(srcdir)/org/gnu/pilotlink/FTB3TripRecord.java	\
	$(srcdir)/org/gnu/pilotlink/FTB3VehicleRecord.java	\
	$(srcdir)/org/gnu/pilotlink/DatebookRecord.java	\
	$(srcdir)/org/gnu/pilotlink/MidiRecord.java	\
	$(srcdir)/org/gnu/pilotlink/ToDoRecord.java	\
	$(srcdir)/org/gnu/pilotlink/Record.java	\
	$(srcdir)/test.java	\
	$(srcdir)/datebooktst.java	\
	$(srcdir)/adrtest.java

java_classes = \
	MidiMgr.class	\
	TestTodos.class	\
	org/gnu/pilotlink/AddressAppInfo.class	\
	org/gnu/pilotlink/AppInfo.class	\
	org/gnu/pilotlink/DBInfo.class	\
	org/gnu/pilotlink/DatabaseExistsException.class	\
	org/gnu/pilotlink/DatabaseNotFoundException.class	\
	org/gnu/pilotlink/DatebookAppInfo.class	\
	org/gnu/pilotlink/FTB3CostCatRecord.class	\
	org/gnu/pilotlink/MemoRecord.class	\
	org/gnu/pilotlink/PilotLink.class	\
	org/gnu/pilotlink/PilotLinkException.class	\
	org/gnu/pilotlink/RawAppInfo.class	\
	org/gnu/pilotlink/RawRecord.class	\
	org/gnu/pilotlink/SysInfo.class	\
	org/gnu/pilotlink/User.class	\
	org/gnu/pilotlink/Version.class	\
	org/gnu/pilotlink/AddressRecord.class	\
	org/gnu/pilotlink/FTB3TripRecord.class	\
	org/gnu/pilotlink/FTB3VehicleRecord.class	\
	org/gnu/pilotlink/DatebookRecord.class	\
	org/gnu/pilotlink/MidiRecord.class	\
	org/gnu/pilotlink/ToDoRecord.class	\
	org/gnu/pilotlink/Record.class	\
	test.class	\
	datebooktst.class	\
	adrtest.class

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  bindings/Java/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  bindings/Java/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-local mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile

=== bindings/Perl/Makefile ===
# This Makefile is for the PDA::Pilot extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.42 (Revision: 41145) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#     DEFINE => q[-DPERL_POLLUTE]
#     INC => q[-I../../include]
#     INSTALLDIRS => q[vendor]
#     NAME => q[PDA::Pilot]
#     PREFIX => q[/usr/local]
#     VERSION => q[0.12.4]
#     XSPROTOARG => q[-noprototypes]
#     clean => { FILES=>q[const-c.inc const-xs.inc] }
#     depend => { Pilot.c=>q[const-c.inc const-xs.inc] }
#     dynamic_lib => { OTHERLDFLAGS=>q[-L../../libpisock/.libs -lpisock] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.10/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = cc
LDDLFLAGS = -shared -O2 -g -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.9.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.6.24-16-server
RANLIB = :
SITELIBEXP = /usr/local/share/perl/5.10.0
SITEARCHEXP = /usr/local/lib/perl/5.10.0
SO = so
VENDORARCHEXP = /usr/lib/perl5
VENDORLIBEXP = /usr/share/perl5


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = PDA::Pilot
NAME_SYM = PDA_Pilot
VERSION = 0.12.4
VERSION_MACRO = VERSION
VERSION_SYM = 0_12_4
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.12.4
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1p
MAN3EXT = 3pm
INSTALLDIRS = vendor
DESTDIR = 
PREFIX = /usr/local
PERLPREFIX = $(PREFIX)
SITEPREFIX = $(PREFIX)
VENDORPREFIX = $(PREFIX)
INSTALLPRIVLIB = $(PERLPREFIX)/share/perl/5.10
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = $(SITEPREFIX)/share/perl/5.10.0
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = $(VENDORPREFIX)/share/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = $(PERLPREFIX)/lib/perl/5.10
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl/5.10.0
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = $(VENDORPREFIX)/lib/perl5
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = $(PERLPREFIX)/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = $(SITEPREFIX)/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = $(VENDORPREFIX)/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = $(PERLPREFIX)/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = $(SITEPREFIX)/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = $(VENDORPREFIX)/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = $(PERLPREFIX)/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = $(VENDORPREFIX)/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = $(PERLPREFIX)/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = $(VENDORPREFIX)/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/share/perl/5.10
PERL_ARCHLIB = /usr/lib/perl/5.10
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.10/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/share/perl/5.10/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.42
MM_REVISION = 41145

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = PDA/Pilot
BASEEXT = Pilot
PARENT_NAME = PDA
DLBASE = $(BASEEXT)
VERSION_FROM = 
INC = -I../../include
DEFINE = -DPERL_POLLUTE
OBJECT = $(BASEEXT)$(OBJ_EXT)
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = Pilot.xs
C_FILES  = Pilot.c
O_FILES  = Pilot.o
H_FILES  = 
MAN1PODS = 
MAN3PODS = Pilot.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/PDA
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/PDA

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC     = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT        = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = Pilot.pm \
	dump.pl

PM_TO_BLIB = Pilot.pm \
	$(INST_LIB)/PDA/Pilot.pm \
	dump.pl \
	$(INST_LIB)/PDA/dump.pl


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 6.42
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /usr/share/perl/5.10/ExtUtils
XSUBPP = $(XSUBPPDIR)$(DFSEP)xsubpp
XSUBPPRUN = $(PERLRUN) $(XSUBPP)
XSPROTOARG = -noprototypes
XSUBPPDEPS = /usr/share/perl/5.10/ExtUtils/typemap typemap $(XSUBPP)
XSUBPPARGS = -typemap /usr/share/perl/5.10/ExtUtils/typemap -typemap typemap
XSUBPP_EXTRA_ARGS = 


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(SHELL) -c true
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) "-MExtUtils::Command" -e mkpath
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) "-MExtUtils::Command" -e eqtime
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install({@ARGV}, '\''$(VERBINST)'\'', 0, '\''$(UNINST)'\'');' --
DOC_INSTALL = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e perllocal_install
UNINSTALL = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e uninstall
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e warn_if_old_packlist
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(PERLRUN) "-MExtUtils::MY" -e "MY->fixin(shift)"


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = PDA-Pilot
DISTVNAME = PDA-Pilot-0.12.4


# --- MakeMaker macro section:


# --- MakeMaker depend section:
Pilot.c : const-c.inc const-xs.inc


# --- MakeMaker cflags section:

CCFLAGS = -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
OPTIMIZE = -O2 -g
PERLTYPE = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# PDA::Pilot might depend on some other libraries:
# See ExtUtils::Liblist for details
#


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PREFIX="$(PREFIX)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:

.c.i:
	cc -E -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c > $*.i

.c.s:
	$(CCCMD) -S $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.c$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.cpp$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cpp

.cxx$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cxx

.cc$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cc

.C$(OBJ_EXT):
	$(CCCMD) $*.C


# --- MakeMaker xs_c section:

.xs.c:
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $(XSUBPP_EXTRA_ARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c


# --- MakeMaker xs_o section:

.xs$(OBJ_EXT):
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) 755 $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) 755 $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) 755 $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) 755 $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) 755 $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) 755 $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(CHMOD) 755 $(INST_MAN1DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN1DIR)$(DFSEP).exists

$(INST_MAN3DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)

=== debian/changelog ===
pilot-link (0.12.4-7ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes: LP: #503437
    - debian/control: Add Breaks to ensure the right version of udev is used.
      (Change has to be continued as udev versioning in debian and
       ubuntu are different).

 -- Bhavani Shankar <right2bhavi@gmail.com>  Tue, 05 Jan 2010 20:34:29 +0530

pilot-link (0.12.4-7) unstable; urgency=low

  * Fix "please no longer suggest libmd5-perl" by removing "Suggests:
    libmd5-perl" for pilot-link and remove "Depends: libdigest-md5-perl" for
    libpda-pilot-perl (Closes: #558596)
  * move to "3.0 (quilt)" source format

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 06 Dec 2009 16:18:29 +0100

pilot-link (0.12.4-6) unstable; urgency=low

  * debian/control: replacing libreadline5-dev build dependency with
    libreadline-dev
    See http://lists.debian.org/debian-devel/2009/09/msg00549.html
  * debian/compat: 5 -> 7

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 23 Sep 2009 10:52:30 +0200

pilot-link (0.12.4-5) unstable; urgency=low

  * Fix "Can't sync over usb: on some Sony Cliés" patch
    debian/patches/10_clie_sj22.patch reintroduced (Closes: #544329)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 01 Sep 2009 21:40:36 +0200

pilot-link (0.12.4-4) unstable; urgency=low

  * Fix "make pilot-link compilable on GNU/Hurd" Do not use libbluetooth-dev
    on Hurd (Closes: #543348)
  * debian/control: Standards-Version: 3.8.2 -> 3.8.3
  * debian/README.source: new file referring to quilt README.source
  * debian/rules: use dh_quilt_patch & dh_quilt_unpatch

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 26 Aug 2009 14:47:12 +0200

pilot-link (0.12.4-3ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #402102
    - debian/control: Add Breaks to ensure the right version of udev is used.
      (Change has to be continued as udev versioning in debian and 
       ubuntu are different).

 -- Bhavani Shankar <right2bhavi@gmail.com>  Tue, 25 Aug 2009 18:58:17 +0530

pilot-link (0.12.4-3) unstable; urgency=low

  * debian/patches/31_pilot-addresses.1: remove reference to addresses(1)
    Closes: #535900 "pilot-link: No "addresses" program"
  * debian/control: Add Breaks to ensure the right version of udev is used.
    (patch from Ubuntu)
    NOTE: the Debian and Ubuntu udev package numbering are different.
  * debian/rules: Use dh_installmodules (patch from Ubuntu)
  * debian/rules: Build for python2.6. (patch from Ubuntu)
  * debian/rules: add the Breaks on libpisock9 instead of pilot-link
  * debian/control: Standards-Version: 3.8.1 -> 3.8.2, no change needed
  * Fix "breaks compatibility and its reverse dependencies"
    libpisock9 now Breaks: packages compiled with libpisock9 0.12.3 and
    using the Contact API (only jpilot and python-jppy are concerned)
    Closes: #536877

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 20 Jul 2009 18:42:54 +0200

pilot-link (0.12.4-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #399595), remaining changes:
    - debian/control: Add Breaks to ensure the right version of udev is used.
    - debian/rules: Build for python2.6.
    - debian/rules: Use dh_installmodules

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 15 Jul 2009 06:43:21 +0200

pilot-link (0.12.4-2) unstable; urgency=low

  * now for unstable. I do not expect transition problems.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 29 May 2009 06:56:46 +0000

pilot-link (0.12.4-1) experimental; urgency=low

  * New upstream release
   - debian/patches/20_pi-md5.h.patch: included upstream
   - patches/10_clie_sj22.patch: included upstream
   - Fix "man page overly indented" (Closes: #509944)
  * move python-pisock-dbg package in the debug section

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 29 May 2009 01:24:10 +0200

pilot-link (0.12.3-11) unstable; urgency=low

  * Fix "FTBFS on GNU/kFreeBSD" libbluetooth-dev does not exists on this
    system (Closes: #522242)
  * Standards-Version: 3.7.3 -> 3.8.1
    add support of noopt and parallel= in DEB_BUILD_OPTIONS. parallel will do
    nothing since the compilation will fail with it.
  * refresh quilt patches as described in
    http://lists.debian.org/debian-devel-announce/2008/07/msg00000.html to
    prepare the "3.0 (quilt)" source package format migration

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 04 Apr 2009 22:58:44 +0200

pilot-link (0.12.3-10) unstable; urgency=low

  * use dh_installmodules to install /etc/modprobe.d/libpisock9.conf
    Closes: #518110: libpisock9: /etc/modprobe.d files without .conf
    Closes: #518709: libpisock9: Incorrect upgrade of libpisock modprobe file

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 08 Mar 2009 13:27:14 +0100

pilot-link (0.12.3-9) unstable; urgency=low

  * debian/rules: use /etc/modprobe.d/libpisock9.conf instead of
    /etc/modprobe.d/libpisock9
    Closes: #518110: libpisock9: /etc/modprobe.d files without .conf

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 07 Mar 2009 18:06:00 +0100

pilot-link (0.12.3-8) unstable; urgency=low

  * correct patches/10_clie_sj22.patch
   Closes: #505221: libpisock9: Patch badly applied : doesn't fix problem for me

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 07 Mar 2009 15:01:05 +0100

pilot-link (0.12.3-7) unstable; urgency=low

  * merge patches from Ubuntu
   - debian/patches/10_clie_sj22.patch: closes: #505221
    "libpisock9: Fix syncing with Sony Clie SJ-22"
   - Build-Depends: debhelper (>= 7.0.17)
    "Rebuild against new debhelper for udev rules path change."

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 22 Feb 2009 11:12:23 +0100

pilot-link (0.12.3-6) unstable; urgency=low

  * libpisock-dev depends on libbluetooth-dev instead of libbluetooth2-dev
    Closes: #501513: "pilot-link: shouldn't build depend on
    versioned libbluetooth-dev"
    Closes: #505200: "libpisock-dev: depends on virtual package
    libbluetooth2-dev"


=== debian/control ===
Source: pilot-link
Section: otherosfs
Build-Depends: debhelper (>= 7.2.2), perl (>= 5.6), libpng-dev, libreadline-dev | libreadline-dev, python-all-dev (>= 2.3), python-support (>= 0.3), python-all-dbg, libusb-dev, libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386], pkg-config, libpopt-dev
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
Standards-Version: 3.8.3
XS-Python-Version: >= 2.3
Homepage: http://www.pilot-link.org/

Package: pilot-link
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: pilot-link-perl
Suggests: libpda-pilot-perl
Description: tools to communicate with a PalmOS PDA
 The package contains many command line programs to manipulate databases
 stored on a PalmOS PDA. For example pilot-xfer can be used to backup,
 sync, and restore databases.

Package: libpda-pilot-perl
Architecture: any
Section: perl
Priority: extra
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Replaces: pilot-link (<< 0.9.3-1), pilot-link-perl
Conflicts: pilot-link-perl
Description: Perl module to communicate with a PalmOS PDA
 This package provides the PDA::Pilot module, which provides Perl programs
 with means of communicating directly with a PalmOS device.

Package: python-pisock
Architecture: any
Section: python
Priority: extra
Suggests: python-pisock-dbg
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Replaces: pilot-link (<< 0.9.3-1), pilot-link-python
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Conflicts: pilot-link-python
Description: Python module to communicate with PalmOS PDA
 This package provides the pisock module, which provides Python programs
 with means of communicating directly with a PalmOS device.

Package: python-pisock-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python-pisock (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python module to communicate with PalmOS PDA (debug extension)
 This package provides the pisock module built for the Python debug
 interpreter, which provides Python programs with means of
 communicating directly with a PalmOS device.

Package: libpisock9
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: jpilot, pilot-link, kpilot, gnome-pilot, evolution, claws-mail, sylpheed
Breaks: udev (<< 136-1), jpilot (<< 1.6.2.4-2), python-jppy (<= 0.0.47-1.1)
Conflicts: pilot-link (<< 0.12.2-7)
Replaces: pilot-link (<< 0.12.2-7)
Description: library for communicating with a PalmOS PDA
 libpisock9 is a library used by pilot-link programs and any other
 packages that want to communicate with a PalmOS device.
 .
 See packages jpilot, pilot-link, malsync, kpilot, gnome-pilot,
 evolution if you are looking to user programs for your PDA.

Package: libpisync1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnome-pilot, evolution
Description: synchronization library for PalmOS devices
 libpisync is a library for applications to synchronize data with PalmOS
 devices.
 .
 See packages gnome-pilot and evolution if you are looking to user
 programs for your PDA.

Package: libpisock-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: ${misc:Depends}, libpisock9 (= ${binary:Version}), libpisync1 (= ${binary:Version}), libncurses-dev|libncurses5-dev, libusb-dev, libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386]
Conflicts: libpisock3 (<= 0.9.5-pre5-1.1), pilot-link (<= 0.11.3-4)
Replaces: pilot-link (<= 0.11.3-4)
Description: development files for communicating with a PalmOS PDA
 libpisock-dev contains static libraries, header files and dynamic
 libraries for compiling applications that communicate with a PalmOS
 device.
 .
 You will need this package if you want to compile a C or C++ using
 libpisock9 or libpisync1.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

libpkg = libpisock9
synclibpkg = libpisync1
devpkg = libpisock-dev
runpkg = pilot-link
perlpkg = libpda-pilot-perl
pythonpkg = python-pisock

CFLAGS = -Wall -g -pthread -D_REENTRANT
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	# parallel compilation is NOT supported and will fail
	#MAKEFLAGS += -j$(NUMJOBS)
endif

#ifeq (hppa,$(DEB_BUILD_ARCH))
#	CFLAGS += -ffunction-sections
#endif

PYVERS=$(shell pyversions -r)

build: build-stamp build-python-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	./configure --prefix=/usr \
		--enable-conduits --enable-libusb \
		--with-perl --with-python --with-libpng \
		--with-libiconv \
		CFLAGS="$(CFLAGS)"

	# force installation of dump.pl & Pilot.pm (#413502)
	touch bindings/Perl/dump.pl

	$(MAKE)
	touch build-stamp

build-python-stamp: build-stamp
	dh_testdir
	set -e; \
	for python in $(PYVERS); do \
		$(MAKE) -C bindings python-build PYTHON=$$python; \
		$(MAKE) -C bindings python-build PYTHON=$$python-dbg; \
	done
	touch build-python-stamp

clean:
	dh_testdir
	rm -f build-stamp pre-binary-stamp
	if [ -e Makefile ] ; then $(MAKE) distclean; fi
	rm -f config.log changelog libtool
	rm -rf bindings/Python/build
	dh_clean

pre-binary: build pre-binary-stamp
pre-binary-stamp:
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	$(MAKE) -C doc/man install DESTDIR=`pwd`/debian/tmp
	set -e; \
	cd bindings/Python; \
	for python in $(PYVERS); do \
		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
		$$python-dbg setup.py install --root=$(CURDIR)/debian/python-pisock-dbg --install-layout=deb; \
	done

	# mini patches
	cp ChangeLog changelog
	chmod +x debian/tmp/usr/lib/perl5/PDA/dump.pl

	# install the udev rule file to get the correct file group and permissions 
	mv debian/tmp/usr/share/pilot-link/udev/60-libpisock.rules  debian/libpisock9.udev

	# remove .py files to avoid conflicts with python-pisock package
	rm debian/python-pisock-dbg/usr/lib/python*/*-packages/*.py
	# remove egg file too (LP: #202773)
	rm debian/python-pisock-dbg/usr/lib/python*/*-packages/python_libpisock-*.egg-info

	dh_install --list-missing --sourcedir=debian/tmp
	touch pre-binary-stamp

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build $(libpkg) $(devpkg) $(perlpkg) $(runpkg) $(synclibpkg) $(pythonpkg) $(pythonpkg)-dbg

$(libpkg): build pre-binary
	echo $@
	dh_testroot
	dh_installdirs -p $@
	dh_installdocs -p $@
	dh_installudev -p $@
	dh_installmodules -p $@
	dh_installchangelogs -p $@
	dh_strip -p $@ --dbg-package=$(pythonpkg)-dbg
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_installmodules -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

$(synclibpkg): build pre-binary
	echo $@
	dh_installdirs -p $@
	dh_installdocs -p $@
	dh_installchangelogs -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@  -l debian/$(libpkg)/usr/lib
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@
	
$(devpkg): build pre-binary
	echo $@
	dh_installdirs -p $@
	dh_installdocs -p $@
	dh_installchangelogs -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

$(runpkg): build pre-binary
	echo $@
	dh_installdirs -p $@
	dh_installdocs -p $@
	dh_installexamples -p $@
	dh_installmenu -p $@
	dh_installman -p $@
	dh_installchangelogs -p $@
	dh_installdebconf -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@ -l debian/$(libpkg)/usr/lib
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

$(perlpkg): build pre-binary
	echo $@
	dh_installdirs -p $@
	dh_installchangelogs -p $@
	dh_installdocs -p $@
	dh_installexamples -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_installdeb -p $@
	dh_perl -p $@
	dh_shlibdeps -p $@ -l debian/$(libpkg)/usr/lib
	dh_gencontrol -p $@ -- -Tdebian/libpda-pilot-perl.substvars.debhelper -Tdebian/libpda-pilot-perl.substvars
	dh_md5sums -p $@
	dh_builddeb -p $@

$(pythonpkg): build pre-binary
	echo $@
	dh_installdirs -p $@
	dh_installchangelogs -p $@
	dh_installdocs -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_pysupport -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@ -l debian/$(libpkg)/usr/lib
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

$(pythonpkg)-dbg: build pre-binary $(pythonpkg)
	echo $@
	dh_installdocs -p $@
	rm -rf debian/$@/usr/share/doc/$@
	ln -sf $(pythonpkg) debian/$@/usr/share/doc/$@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_pysupport -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@ -l debian/$(libpkg)/usr/lib
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary \
	$(libpkg) $(devpkg) $(runpkg) $(perlpkg) $(pythonpkg) pre-binary
